#include <iostream>
#include <cmath>

using namespace std;

struct poklon
{
	int l;
	int r;
};

int main()
{
	int n;
	cin >> n;
	
	int a[n];
	
	for(int i = 0; i < n; i++)
		cin >> a[i];

	int q;
	cin >> q;
	
	poklon b[q];
	for(int i = 0; i < q; i++)
		cin >> b[i].l >> b[i].r;
		
	for(int i = 0; i < q; i++)
	{
		if((b[i].r - b[i].l) <= 2)
			cout << "DA" << endl;
			
		else cout << "NE" << endl;
	}
	
	return 0;
}